## rsgain 3.4

=== CMakeLists.txt ===
# rsgain CMakeLists.txt
# Copyright (C) 2014 Alessandro Ghedini <alessandro@ghedini.me>
# Modifications Copyright (C) 2019 Matthias C. Hormann <mhormann@gmx.de>
# rsgain by complexlogic, 2022
# This file is released under the 2 clause BSD license, see COPYING

cmake_minimum_required(VERSION 3.13)
option(VCPKG "Build dependencies with vcpkg" OFF)
if (VCPKG)
  include("${CMAKE_SOURCE_DIR}/config/vcpkg.cmake")
endif ()

project(rsgain
  VERSION 3.4
  DESCRIPTION "ReplayGain 2.0 loudness normalizer"
  HOMEPAGE_URL "https://github.com/complexlogic/rsgain"
  LANGUAGES CXX
)

set(MAXPROGBARWIDTH "0" CACHE STRING "Maximum width of progress bar")
option(UCHECKMARKS "Enable use of Unicode checkmarks" ON)
option(EXTRA_WARNINGS "Enable extra compiler warnings" OFF)
if (EXTRA_WARNINGS)
  if (MSVC)
    add_compile_options(/W4 /WX)
  else ()
    add_compile_options(-Wall -Wextra -Wpedantic -Wconversion)
  endif ()
endif ()

set(CMAKE_CXX_STANDARD 20)
set(EXECUTABLE_TITLE "rsgain")
include_directories(${PROJECT_BINARY_DIR})
add_compile_definitions("$<$<CONFIG:DEBUG>:DEBUG>")

# GCC 9 and earlier are not supported due to C++20 features
if (CMAKE_COMPILER_IS_GNUCC AND CMAKE_CXX_COMPILER_VERSION VERSION_LESS 10)
  message(FATAL_ERROR "GCC 10 and later supported only")
endif ()

# Set Visual Studio startup project
if (WIN32)
  set_property(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR} PROPERTY VS_STARTUP_PROJECT ${EXECUTABLE_TITLE})
endif ()

# Embed Git information
find_package(Git QUIET)
if (Git_FOUND)
  execute_process(COMMAND "${GIT_EXECUTABLE}" describe --long --tags
    WORKING_DIRECTORY "${PROJECT_SOURCE_DIR}"
    OUTPUT_VARIABLE GIT_OUTPUT
    RESULT_VARIABLE GIT_RESULT
    OUTPUT_STRIP_TRAILING_WHITESPACE
  )
  if (GIT_RESULT EQUAL 0)
    string(REPLACE "-" ";" GIT_LIST "${GIT_OUTPUT}")
    list(GET GIT_LIST 1 COMMITS_SINCE_TAG)
    if (NOT COMMITS_SINCE_TAG STREQUAL "0")
      list(GET GIT_LIST 2 COMMIT_HASH)
      string(REPLACE "g" "" COMMIT_HASH "${COMMIT_HASH}")
      add_compile_definitions(COMMITS_SINCE_TAG=\"${COMMITS_SINCE_TAG}\")
      add_compile_definitions(COMMIT_HASH=\"${COMMIT_HASH}\")
    endif ()
  endif ()
endif ()

# Find dependencies - Windows
if (WIN32)
  find_path(FFMPEG_INCLUDE_DIR "libavformat/avformat.h" REQUIRED)
  find_library(LIBAVFORMAT avformat REQUIRED)
  find_library(LIBAVCODEC avcodec REQUIRED)
  find_library(LIBAVUTIL avutil REQUIRED)
  find_library(LIBSWRESAMPLE swresample REQUIRED)
  find_path(TAGLIB_INCLUDE_DIR "taglib/id3v2tag.h" REQUIRED)
  find_library(TAGLIB tag REQUIRED)
  find_path(LIBEBUR128_INCLUDE_DIR "ebur128.h" REQUIRED)
  find_library(LIBEBUR128 ebur128 REQUIRED)
  find_path(FMT_INCLUDE_DIR "fmt/core.h" REQUIRED)
  find_library(FMT fmt REQUIRED)
  find_path(GETOPT_INCLUDE_DIR "getopt.h" REQUIRED)
  find_library(GETOPT getopt REQUIRED)
  find_path(INIH_INCLUDE_DIR "ini.h" REQUIRED)
  find_library(INIH inih REQUIRED)
  find_package(fdk-aac CONFIG REQUIRED)
  if (VCPKG_TARGET_TRIPLET STREQUAL "custom-triplet")
    find_library(ZLIB zlib REQUIRED)
	set(STATIC_LIBS ${ZLIB} ws2_32.lib secur32.lib mfplat.lib mfuuid.lib strmiids.lib bcrypt.lib)
  endif ()

# Find dependencies - Linux/Mac
elseif (UNIX)
  find_package(PkgConfig MODULE REQUIRED)
  set(THREADS_PREFER_PTHREAD_FLAG ON)
  find_package(Threads REQUIRED)
  pkg_check_modules(LIBAVCODEC REQUIRED IMPORTED_TARGET libavcodec)
  pkg_check_modules(LIBAVFORMAT REQUIRED IMPORTED_TARGET libavformat)
  pkg_check_modules(LIBSWRESAMPLE REQUIRED IMPORTED_TARGET libswresample)
  pkg_check_modules(LIBAVUTIL REQUIRED IMPORTED_TARGET libavutil)
  pkg_check_modules(TAGLIB REQUIRED IMPORTED_TARGET taglib>=1.11.1)
  pkg_check_modules(LIBEBUR128 REQUIRED IMPORTED_TARGET libebur128>=1.2.4)
  pkg_check_modules(INIH REQUIRED IMPORTED_TARGET inih)
  pkg_check_modules(FMT REQUIRED IMPORTED_TARGET fmt)
endif()

# Generate Windows application manifest and resource file
if (WIN32)
  set(VERSION_M ${PROJECT_VERSION_MAJOR})
  set(VERSION_N ${PROJECT_VERSION_MINOR})
  if (PROJECT_VERSION_PATCH)
    set(VERSION_O ${PROJECT_VERSION_PATCH})
  else ()
    set(VERSION_O 0)
  endif()
  if (PROJECT_VERSION_TWEAK)
    set(VERSION_P ${PROJECT_VERSION_TWEAK})
  else ()
    set(VERSION_P 0)
  endif()
  configure_file(${PROJECT_SOURCE_DIR}/config/${PROJECT_NAME}.manifest.in ${PROJECT_BINARY_DIR}/${PROJECT_NAME}.manifest)
  configure_file(${PROJECT_SOURCE_DIR}/config/versioninfo.rc.in ${PROJECT_BINARY_DIR}/versioninfo.rc)
endif()

# Build source files
add_subdirectory(src)

# Installation - Windows
if (WIN32)
  install(DIRECTORY ${PROJECT_BINARY_DIR}/$<CONFIG>/ DESTINATION .)
  foreach(item CHANGELOG LICENSE)
    configure_file("${PROJECT_SOURCE_DIR}/${item}" "${PROJECT_BINARY_DIR}/${item}.txt")
    install(FILES "${PROJECT_BINARY_DIR}/${item}.txt" DESTINATION .)
  endforeach ()

  # Install presets
  file(GLOB presets ${PROJECT_SOURCE_DIR}/config/presets/*.ini)
  foreach(preset ${presets})
	get_filename_component(preset_name ${preset} NAME)
    configure_file(${preset} ${PROJECT_BINARY_DIR}/presets/${preset_name})
  endforeach ()
  install(DIRECTORY "${PROJECT_BINARY_DIR}/presets" DESTINATION .)

  # Copy the Visual C++ runtime DLLs in case user doesn't have them installed
  set(CMAKE_INSTALL_SYSTEM_RUNTIME_LIBS_SKIP TRUE)
  include(InstallRequiredSystemLibraries)
  foreach(required_lib vcruntime140.dll vcruntime140_1.dll msvcp140.dll)
    foreach(system_lib ${CMAKE_INSTALL_SYSTEM_RUNTIME_LIBS})
      string(FIND ${system_lib} ${required_lib} found_lib)
      if (NOT found_lib EQUAL -1)
        install(FILES ${system_lib} DESTINATION .)
      endif ()
    endforeach ()
  endforeach ()

  # Set up CPack
  set(CPACK_PACKAGE_NAME ${EXECUTABLE_TITLE})
  set(CPACK_GENERATOR "ZIP")
  include(CPack)

# Installation - Linux/Mac
elseif (UNIX)
  install(TARGETS ${EXECUTABLE_TITLE} DESTINATION "${CMAKE_INSTALL_PREFIX}/bin")
  install(DIRECTORY "${PROJECT_SOURCE_DIR}/config/presets" DESTINATION "${CMAKE_INSTALL_PREFIX}/share/${EXECUTABLE_TITLE}")
  set(PRESETS_DIR ${CMAKE_INSTALL_PREFIX}/share/${EXECUTABLE_TITLE}/presets)

  # Build Debian packages
  if (PACKAGE STREQUAL "DEB")
    set(CPACK_DEBIAN_FILE_NAME "DEB-DEFAULT")
    if (COMMITS_SINCE_TAG AND COMMIT_HASH)
      set(CPACK_DEBIAN_PACKAGE_VERSION "${PROJECT_VERSION}-r${COMMITS_SINCE_TAG}-${COMMIT_HASH}")
    endif ()
    set(CPACK_DEBIAN_PACKAGE_DEPENDS "libavcodec59 (>= 5.1), libavutil57 (>= 5.1), libswresample4  (>= 5.1), libavformat59 (>= 5.1), libebur128-1 (>=1.2.4), libtag1v5, libinih1, libc6 (>=2.29), libstdc++6 (>=10.2), zlib1g")
    set(CPACK_DEBIAN_PACKAGE_MAINTAINER "complexlogic")
    set(CPACK_DEBIAN_PACKAGE_SECTION "utils")
    set(CPACK_DEBIAN_ARCHIVE_TYPE "gnutar")
    set(CPACK_DEBIAN_COMPRESSION_TYPE "gzip")
    set(CPACK_DEBIAN_PACKAGE_PRIORITY "optional")

  # Build Fedora packages
  elseif (PACKAGE STREQUAL "RPM")
    set(CPACK_RPM_FILE_NAME "RPM-DEFAULT")
    if (COMMITS_SINCE_TAG AND COMMIT_HASH)
      set(CPACK_RPM_PACKAGE_VERSION "${PROJECT_VERSION}-r${COMMITS_SINCE_TAG}-${COMMIT_HASH}")
    endif ()
    set(CPACK_RPM_PACKAGE_LICENSE "BSD")
    set(CPACK_RPM_PACKAGE_GROUP "Applications/Multimedia")
    set(CPACK_RPM_PACKAGE_AUTOREQPROV 0)
    set(CPACK_RPM_PACKAGE_REQUIRES "libavcodec-free >= 6, libavformat-free >= 6, libswresample-free >= 6, libavutil-free >= 6, libebur128, taglib, zlib, inih")
  endif ()
  if (PACKAGE)
    set(CPACK_PACKAGE_DESCRIPTION_SUMMARY ${PROJECT_DESCRIPTION})
    set(CPACK_PACKAGE_NAME ${EXECUTABLE_TITLE})
    set(CPACK_PACKAGE_VERSION ${PROJECT_VERSION})
    set(CPACK_GENERATOR ${PACKAGE})
    include(CPack)
  endif ()

  configure_file(
      "${PROJECT_SOURCE_DIR}/config/cmake_uninstall.cmake.in"
      "${PROJECT_BINARY_DIR}/cmake_uninstall.cmake"
      IMMEDIATE @ONLY)
  add_custom_target(uninstall COMMAND ${CMAKE_COMMAND} -P ${PROJECT_BINARY_DIR}/cmake_uninstall.cmake)
endif()

configure_file("${PROJECT_SOURCE_DIR}/config/config.h.in" "${PROJECT_BINARY_DIR}/config.h")

=== src/CMakeLists.txt ===
set(SOURCE_FILES 
  rsgain.cpp
  rsgain.hpp
  scan.cpp
  scan.hpp
  output.cpp
  output.hpp
  tag.cpp
  tag.hpp
  easymode.cpp
  easymode.hpp
)
if (WIN32)
  add_executable(${EXECUTABLE_TITLE} ${SOURCE_FILES} "${PROJECT_BINARY_DIR}/rsgain.manifest" "${PROJECT_BINARY_DIR}/versioninfo.rc")
  target_compile_options(${EXECUTABLE_TITLE} PUBLIC "/Zc:preprocessor")
  target_include_directories(${EXECUTABLE_TITLE} PUBLIC
    ${FFMPEG_INCLUDE_DIR}
    ${TAGLIB_INCLUDE_DIR}
    ${LIBEBUR128_INCLUDE_DIR}
    ${FMT_INCLUDE_DIR}
    ${GETOPT_INCLUDE_DIR}
    ${INIH_INCLUDE_DIR}
  )
  target_link_libraries(${EXECUTABLE_TITLE}
    ${LIBAVFORMAT}
    ${LIBAVCODEC}
    ${LIBAVUTIL}
    ${LIBSWRESAMPLE}
    ${TAGLIB}
    ${LIBEBUR128}
    ${FMT}
    ${GETOPT}
    ${INIH}
    FDK-AAC::fdk-aac
  )
  if (VCPKG_TARGET_TRIPLET STREQUAL "custom-triplet")
    target_link_libraries(${EXECUTABLE_TITLE} ${STATIC_LIBS})
  endif ()
  add_compile_definitions(_CRT_SECURE_NO_WARNINGS)

elseif (UNIX)
  add_executable(${EXECUTABLE_TITLE} ${SOURCE_FILES})
  if(NOT UCHECKMARKS)
    target_compile_definitions(${EXECUTABLE_TITLE} PUBLIC "NOUCHECKMARKS")
  endif()
  target_link_libraries(${EXECUTABLE_TITLE}
    PkgConfig::LIBAVFORMAT
    PkgConfig::LIBAVCODEC
    PkgConfig::LIBSWRESAMPLE
    PkgConfig::LIBAVUTIL
    PkgConfig::TAGLIB
    PkgConfig::LIBEBUR128
    PkgConfig::INIH
    PkgConfig::FMT
    Threads::Threads
  )
endif()
set (EXECUTABLE_OUTPUT_PATH "${PROJECT_BINARY_DIR}")
string(TIMESTAMP BUILD_DATE "%Y-%m-%d")
add_compile_definitions("BUILD_DATE=\"${BUILD_DATE}\"")
if (MAXPROGBARWIDTH GREATER_EQUAL 20)
  target_compile_definitions(${EXECUTABLE_TITLE} PUBLIC "MAXPROGBARWIDTH=${MAXPROGBARWIDTH}")
endif ()

=== debian/changelog ===
rsgain (3.4-1) unstable; urgency=medium

  * Initial release. (Closes: #1053697)

 -- Hugh McMaster <hmc@debian.org>  Mon, 09 Oct 2023 22:00:54 +1100

=== debian/control ===
Source: rsgain
Section: sound
Priority: optional
Maintainer: Hugh McMaster <hmc@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 libavcodec-dev,
 libavformat-dev,
 libavutil-dev,
 libebur128-dev,
 libfmt-dev,
 libinih-dev,
 libswresample-dev,
 libtag1-dev,
 pkg-config
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/complexlogic/rsgain
Vcs-Git: https://salsa.debian.org/hmc/rsgain.git
Vcs-Browser: https://salsa.debian.org/hmc/rsgain

Package: rsgain
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ReplayGain 2.0 loudness normalizer
 rsgain (really simple gain) is a loudness normalizer that scans digital
 audio streams and calculates loudness-normalized gain and loudness peak
 values according to the EBU R128/ITU-R BS.1770 standard (-18 LUFS).
 .
 rsgain applies ReplayGain 2.0 loudness metadata tags to audio and video files
 but does not modify the audio stream.
 .
 rsgain supports the AIFF, APE, FLAC, MP2, MP3, M4A, Musepack, Ogg, Opus, TAK,
 WAV, WavPack and WMA audio formats. Video files with compatible audio streams
 are also supported.
 .
 rsgain comes with several scan presets based on the default, EBU R128 and
 legacy 'loudgain' scan settings.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp/

=== debian/watch ===
version=4

opts="searchmode=plain,\
filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1.tar.xz%" \
https://api.github.com/repos/complexlogic/@PACKAGE@/releases?per_page=50 \
https://api.github.com/repos/[^/]+/[^/]+/tarball/v?@ANY_VERSION@

## rsgain 3.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 endif ()
 
 project(rsgain
-  VERSION 3.4
+  VERSION 3.5.1
   DESCRIPTION "ReplayGain 2.0 loudness normalizer"
   HOMEPAGE_URL "https://github.com/complexlogic/rsgain"
   LANGUAGES CXX
@@ -20,6 +20,7 @@
 set(MAXPROGBARWIDTH "0" CACHE STRING "Maximum width of progress bar")
 option(UCHECKMARKS "Enable use of Unicode checkmarks" ON)
 option(EXTRA_WARNINGS "Enable extra compiler warnings" OFF)
+option(INSTALL_MANPAGE "Install man page (requires gzip)" OFF)
 if (EXTRA_WARNINGS)
   if (MSVC)
     add_compile_options(/W4 /WX)
@@ -32,6 +33,23 @@
 set(EXECUTABLE_TITLE "rsgain")
 include_directories(${PROJECT_BINARY_DIR})
 add_compile_definitions("$<$<CONFIG:DEBUG>:DEBUG>")
+if (WIN32)
+  set (USE_STD_FORMAT true)
+  if (MSVC_VERSION AND MSVC_VERSION VERSION_LESS 1937)
+    message(FATAL_ERROR "Visual Studio 17.7 and later supported only")
+  endif ()
+endif ()
+if (USE_STD_FORMAT)
+  if (UNIX)
+    include(CheckIncludeFiles)
+    CHECK_INCLUDE_FILES("format;print" SUPPORT_STD_FORMAT LANGUAGE CXX)
+    if (NOT SUPPORT_STD_FORMAT)
+      message(FATAL_ERROR "You do not have the required system headers for std::format and/or std::print")
+    endif ()
+  endif ()
+  add_compile_definitions(USE_STD_FORMAT)
+  set(CMAKE_CXX_STANDARD 23)
+endif ()
 
 # GCC 9 and earlier are not supported due to C++20 features
 if (CMAKE_COMPILER_IS_GNUCC AND CMAKE_CXX_COMPILER_VERSION VERSION_LESS 10)
@@ -75,8 +93,6 @@
   find_library(TAGLIB tag REQUIRED)
   find_path(LIBEBUR128_INCLUDE_DIR "ebur128.h" REQUIRED)
   find_library(LIBEBUR128 ebur128 REQUIRED)
-  find_path(FMT_INCLUDE_DIR "fmt/core.h" REQUIRED)
-  find_library(FMT fmt REQUIRED)
   find_path(GETOPT_INCLUDE_DIR "getopt.h" REQUIRED)
   find_library(GETOPT getopt REQUIRED)
   find_path(INIH_INCLUDE_DIR "ini.h" REQUIRED)
@@ -99,7 +115,15 @@
   pkg_check_modules(TAGLIB REQUIRED IMPORTED_TARGET taglib>=1.11.1)
   pkg_check_modules(LIBEBUR128 REQUIRED IMPORTED_TARGET libebur128>=1.2.4)
   pkg_check_modules(INIH REQUIRED IMPORTED_TARGET inih)
-  pkg_check_modules(FMT REQUIRED IMPORTED_TARGET fmt)
+  if (STRIP_BINARY)
+    find_program(STRIP strip REQUIRED)
+  endif ()
+  if (INSTALL_MANPAGE)
+    find_program(GZIP gzip REQUIRED)
+  endif ()
+  if (NOT USE_STD_FORMAT)
+    pkg_check_modules(FMT REQUIRED IMPORTED_TARGET fmt)
+  endif ()
 endif()
 
 # Generate Windows application manifest and resource file
@@ -126,7 +150,7 @@
 # Installation - Windows
 if (WIN32)
   install(DIRECTORY ${PROJECT_BINARY_DIR}/$<CONFIG>/ DESTINATION .)
-  foreach(item CHANGELOG LICENSE)
+  foreach(item CHANGELOG LICENSE LICENSE-CRCpp)
     configure_file("${PROJECT_SOURCE_DIR}/${item}" "${PROJECT_BINARY_DIR}/${item}.txt")
     install(FILES "${PROJECT_BINARY_DIR}/${item}.txt" DESTINATION .)
   endforeach ()
@@ -159,7 +183,19 @@
 # Installation - Linux/Mac
 elseif (UNIX)
   install(TARGETS ${EXECUTABLE_TITLE} DESTINATION "${CMAKE_INSTALL_PREFIX}/bin")
+  if (INSTALL_MANPAGE)
+    install(FILES "${PROJECT_BINARY_DIR}/${EXECUTABLE_TITLE}.1.gz" DESTINATION "${CMAKE_INSTALL_PREFIX}/share/man/man1")
+  endif ()
   install(DIRECTORY "${PROJECT_SOURCE_DIR}/config/presets" DESTINATION "${CMAKE_INSTALL_PREFIX}/share/${EXECUTABLE_TITLE}")
+  if (PACKAGE STREQUAL "TXZ" OR PACKAGE STREQUAL "ZIP")
+    set(BINARY_PREFIX ".")
+    set(PRESETS_PREFIX ".")
+  else ()
+    set(BINARY_PREFIX "${CMAKE_INSTALL_PREFIX}/bin")
+    set(PRESETS_PREFIX "${CMAKE_INSTALL_PREFIX}/share/${EXECUTABLE_TITLE}")
+  endif ()
+  install(TARGETS ${EXECUTABLE_TITLE} DESTINATION "${BINARY_PREFIX}")
+  install(DIRECTORY "${PROJECT_SOURCE_DIR}/config/presets" DESTINATION "${PRESETS_PREFIX}")
   set(PRESETS_DIR ${CMAKE_INSTALL_PREFIX}/share/${EXECUTABLE_TITLE}/presets)
 
   # Build Debian packages
@@ -168,7 +204,7 @@
     if (COMMITS_SINCE_TAG AND COMMIT_HASH)
       set(CPACK_DEBIAN_PACKAGE_VERSION "${PROJECT_VERSION}-r${COMMITS_SINCE_TAG}-${COMMIT_HASH}")
     endif ()
-    set(CPACK_DEBIAN_PACKAGE_DEPENDS "libavcodec59 (>= 5.1), libavutil57 (>= 5.1), libswresample4  (>= 5.1), libavformat59 (>= 5.1), libebur128-1 (>=1.2.4), libtag1v5, libinih1, libc6 (>=2.29), libstdc++6 (>=10.2), zlib1g")
+    set(CPACK_DEBIAN_PACKAGE_DEPENDS "libavcodec59 (>= 5.1), libavutil57 (>= 5.1), libswresample4  (>= 5.1), libavformat59 (>= 5.1), libebur128-1 (>=1.2.4), libinih1, libc6 (>=2.29), libstdc++6 (>=10.2), zlib1g")
     set(CPACK_DEBIAN_PACKAGE_MAINTAINER "complexlogic")
     set(CPACK_DEBIAN_PACKAGE_SECTION "utils")
     set(CPACK_DEBIAN_ARCHIVE_TYPE "gnutar")
@@ -184,7 +220,9 @@
     set(CPACK_RPM_PACKAGE_LICENSE "BSD")
     set(CPACK_RPM_PACKAGE_GROUP "Applications/Multimedia")
     set(CPACK_RPM_PACKAGE_AUTOREQPROV 0)
-    set(CPACK_RPM_PACKAGE_REQUIRES "libavcodec-free >= 6, libavformat-free >= 6, libswresample-free >= 6, libavutil-free >= 6, libebur128, taglib, zlib, inih")
+    set(CPACK_RPM_PACKAGE_REQUIRES "libavcodec-free >= 6, libavformat-free >= 6, libswresample-free >= 6, libavutil-free >= 6, libebur128, zlib, inih")
+  elseif (PACKAGE STREQUAL "TXZ")
+    set(CPACK_ARCHIVE_FILE_EXTENSION ".tar.xz")
   endif ()
   if (PACKAGE)
     set(CPACK_PACKAGE_DESCRIPTION_SUMMARY ${PROJECT_DESCRIPTION})

=== debian/changelog ===
rsgain (3.5.1-1build1) oracular; urgency=medium

  * Rebuild against new libavcodec61.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 31 Jul 2024 17:24:33 +0200

rsgain (3.5.1-1) unstable; urgency=high

  * New upstream version 3.5.1.
    - Fix header gain calculation for multichannel Opus files.
  * debian/watch: Handle the major.minor.patch version scheme.

 -- Hugh McMaster <hmc@debian.org>  Mon, 10 Jun 2024 15:25:07 +1000

rsgain (3.5-1) unstable; urgency=medium

  * New upstream version 3.5.
  * debian/control:
    - Build-Depend on pkgconf instead pkg-config.
    - Raise Standards-Version to 4.7.0 (no changes needed).
  * debian/copyright: Update for 2024.
  * debian/rsgain.1: Remove man page (now included in upstream source).
  * debian/rules:
    - Remove dh_auto_install override.
    - Set -DCMAKE_BUILD_TYPE=Release.
    - Set -DINSTALL_MANPAGE.
  * debian/watch: Update pattern matching for GitHub.
  * Remove debian/install and debian/manpages.

 -- Hugh McMaster <hmc@debian.org>  Sat, 20 Apr 2024 22:48:22 +1000

## rsgain 3.5.2

=== debian/changelog ===
rsgain (3.5.2-1) unstable; urgency=medium

  * New upstream version 3.5.2.

 -- Hugh McMaster <hmc@debian.org>  Sat, 31 Aug 2024 22:04:28 +1000

## rsgain 3.5.3

=== debian/changelog ===
rsgain (3.5.3-1build1) plucky; urgency=medium

  * No-change rebuild for taglib.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 12 Jan 2025 13:57:00 +0000

rsgain (3.5.3-1) unstable; urgency=medium

  * New upstream version 3.5.3.

 -- Hugh McMaster <hmc@debian.org>  Wed, 18 Dec 2024 22:06:57 +1100

## rsgain 3.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 endif ()
 
 project(rsgain
-  VERSION 3.5.1
+  VERSION 3.6
   DESCRIPTION "ReplayGain 2.0 loudness normalizer"
   HOMEPAGE_URL "https://github.com/complexlogic/rsgain"
   LANGUAGES CXX

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -28,7 +28,6 @@
     ${LIBSWRESAMPLE}
     ${TAGLIB}
     ${LIBEBUR128}
-    ${FMT}
     ${GETOPT}
     ${INIH}
     FDK-AAC::fdk-aac
@@ -51,9 +50,24 @@
     PkgConfig::TAGLIB
     PkgConfig::LIBEBUR128
     PkgConfig::INIH
-    PkgConfig::FMT
     Threads::Threads
   )
+  if (NOT USE_STD_FORMAT)
+    target_link_libraries(${EXECUTABLE_TITLE} PkgConfig::FMT)
+  endif ()
+  if (STRIP)
+    add_custom_command(TARGET ${EXECUTABLE_TITLE}
+      POST_BUILD
+      COMMAND "${STRIP}" "${PROJECT_BINARY_DIR}/${EXECUTABLE_TITLE}"
+    )
+  endif ()
+  if (INSTALL_MANPAGE)
+    add_custom_command(TARGET ${EXECUTABLE_TITLE}
+      POST_BUILD
+      COMMAND "${CMAKE_COMMAND}" -E copy "${PROJECT_SOURCE_DIR}/docs/${EXECUTABLE_TITLE}.1" "${PROJECT_BINARY_DIR}"
+      COMMAND "${GZIP}" -f "${PROJECT_BINARY_DIR}/${EXECUTABLE_TITLE}.1"
+    )
+  endif ()
 endif()
 set (EXECUTABLE_OUTPUT_PATH "${PROJECT_BINARY_DIR}")
 string(TIMESTAMP BUILD_DATE "%Y-%m-%d")

=== debian/changelog ===
rsgain (3.6-2) unstable; urgency=medium

  * debian/control:
    - Build-Depend on libtag-dev instead of libtag1-dev (Closes: #1117697).
    - Raise Standards-Version to 4.7.2 (no changes needed).
    - Drop Rules-Requires-Root: no.
  * debian/copyright:
    - Replace FSF address with upstream URL.
    - Minor formatting update.
  * debian/watch: Use Version 5 GitHub template.

 -- Hugh McMaster <hmc@debian.org>  Tue, 04 Nov 2025 11:15:19 +1100

rsgain (3.6-1) unstable; urgency=medium

  * New upstream version 3.6:
    - New "dual mono" option (-d) to treat mono files as stereo.
  * debian/copyright: Update for 2025.

 -- Hugh McMaster <hmc@debian.org>  Sat, 15 Feb 2025 19:51:10 +1100

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,9 @@
  libfmt-dev,
  libinih-dev,
  libswresample-dev,
- libtag1-dev,
- pkg-config
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+ libtag-dev,
+ pkgconf
+Standards-Version: 4.7.2
 Homepage: https://github.com/complexlogic/rsgain
 Vcs-Git: https://salsa.debian.org/hmc/rsgain.git
 Vcs-Browser: https://salsa.debian.org/hmc/rsgain

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release -DINSTALL_MANPAGE=ON

=== debian/watch ===
Version: 5

Template: GitHub
Owner: complexlogic
Project: rsgain
